/*
 * Bedge
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.bedge.data.database.entry

data class UserData(
    val id: Int,
    val userid: Long,
    val accountCreationDate: Long,
    var currentStreak: Int,
    var longestStreak: Int,
    var wantsToBeReminded: Boolean,
    var coins: Int,
    var coinsCollected: Int,
    var xp: Int,
    var level: Int,
    var numberOfFails: Int,
    var targetChannelId: Long,
    var customReminderMessage: String,
    var preferredSleepTime: Int,
    var customWakeupMessage: String,
    var nextWakeup: Long,
    var nextWakeupCron: String,
    var lastWakeup: Long,
    var isAwake: Boolean,
    var timezone: String
)
